Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.image
Class QTFilter

    java.lang.Object
      |
      +--quicktime.app.image.QTEffect
            |
            +--quicktime.app.image.QTFilter

All Implemented Interfaces:
  Drawable, Listener, QTDrawable, Redrawable, Transformable

Direct Known Subclasses:
  QTTransition

public class QTFilter
extends QTEffect

QTFilters are visual effects that are applied to a single source image. They inherit much of the characteristics of the QTEffect class.

Fields inherited from interface quicktime.app.image.Redrawable
`kMultiFrame, kSingleFrame`

Constructor Summary
`QTFilter()` Creates a QTFilter which is a singleFrame filter and an initialSize of 0, 0.
`QTFilter(java.awt.Dimension d)` Deprecated. since QTJava 4.0
`QTFilter(int isSingleFrame)` Creates a QTFilter of specified frame setting and an initialSize of 0, 0.
`QTFilter(int isSingleFrame, java.awt.Dimension d)` Deprecated. since QTJava 4.0
`QTFilter(int isSingleFrame, QDDimension d)` Creates a QTFilter of specified frame setting and initSize.
`QTFilter(QDDimension d)` Creates a QTFilter which is a singleFrame filter and specified initialSize.

Method Summary
`QDDimension` | `getOriginalSize()` This method returns the original size before the transformations specified in the returned matrix are applied.
`ImageSpec` | `getSourceImage()` Returns the currently set source image of the QTFilter
`void` | `setEffect(AtomContainer effectParams)` This method will take the incoming parameters and use this as the control parameters for the effect.
`void` | `setSourceImage(ImageSpec image)` This sets the QT source of the QTFilter, which is the image that the current filter will be applied to when doEffect is called.
`protected boolean` | `setUpSequence()` This method is called by a number of other methods to create the DSequence that is used to render the QTEffect.

Methods inherited from class quicktime.app.image.QTEffect
`addedTo, checkForEffect, getClip, getCurrentFrame, getDescription, getDisplayBounds, getDSequence, getEffect, getFrames, getGraphicsMode, getGWorld, getImage, getInitialSize, getMatrix, isRedrawing, isSingleFrame, redraw, removedFrom, setClip, setDisplayBounds, setGraphicsMode, setGWorld, setLocation, setMatrix, setRedrawing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QTFilter

    public QTFilter()
             throws QTException

  Creates a QTFilter which is a singleFrame filter and an initialSize of 0, 0.

### QTFilter

    public QTFilter(java.awt.Dimension d)
             throws QTException

  Deprecated. since QTJava 4.0

  Creates a QTFilter which is a singleFrame filter and specified initialSize.
  Parameters:
    `d` - the initSize of the effect.

### QTFilter

    public QTFilter(QDDimension d)
             throws QTException

  Creates a QTFilter which is a singleFrame filter and specified initialSize.
  Parameters:
    `d` - the initSize of the effect.

### QTFilter

    public QTFilter(int isSingleFrame)
             throws QTException

  Creates a QTFilter of specified frame setting and an initialSize of 0, 0.
  Parameters:
    `multiFrameFlag` - is normally set to kMultiFrame. The setting of this flag will also set the initial setting of the redrawing flag. QTEffects require redrawing so the default value is kMultiFrame. Typically the QTFilters do not require redrawing so their default value is kSingleFrame. QTTransitions are multiframes and so do require redrawing.

### QTFilter

    public QTFilter(int isSingleFrame,
                    java.awt.Dimension d)
             throws QTException

  Deprecated. since QTJava 4.0

  Creates a QTFilter of specified frame setting and initSize.
  Parameters:
    `multiFrameFlag` - is normally set to kMultiFrame. The setting of this flag will also set the initial setting of the redrawing flag. QTEffects require redrawing so the default value is kMultiFrame. Typically the QTFilters do not require redrawing so their default value is kSingleFrame. QTTransitions are multiframes and so do require redrawing.
    `d` - the initSize of the effect.

### QTFilter

    public QTFilter(int isSingleFrame,
                    QDDimension d)
             throws QTException

  Creates a QTFilter of specified frame setting and initSize.
  Parameters:
    `multiFrameFlag` - is normally set to kMultiFrame. The setting of this flag will also set the initial setting of the redrawing flag. QTEffects require redrawing so the default value is kMultiFrame. Typically the QTFilters do not require redrawing so their default value is kSingleFrame. QTTransitions are multiframes and so do require redrawing.
    `d` - the initSize of the effect.

Method Detail

### setEffect

    public void setEffect(AtomContainer effectParams)
                   throws QTException

  This method will take the incoming parameters and use this as the control parameters for the effect. The container will be locked for the duration of the effect object's life or until another effect is set.
  Overrides:
    `setEffect` in class `QTEffect`
  Parameters:
    `effectParams` - the parameters that determine the effect that is run

### getOriginalSize

    public QDDimension getOriginalSize()
                                throws QTException

  This method returns the original size before the transformations specified in the returned matrix are applied. If the original size was not specified in the Constructor then the original size of the current sourceImage is returned. If the original size was specified then it is returned.
  Overrides:
    `getOriginalSize` in class `QTEffect`
  Returns:
    a QDDimension

### setSourceImage

    public void setSourceImage(ImageSpec image)
                        throws QTException

  This sets the QT source of the QTFilter, which is the image that the current filter will be applied to when doEffect is called.
  Parameters:
    `image` - the image to use as the source of the filter

### getSourceImage

    public ImageSpec getSourceImage()

  Returns the currently set source image of the QTFilter

### setUpSequence

    protected boolean setUpSequence()
                             throws QTException

  This method is called by a number of other methods to create the DSequence that is used to render the QTEffect. When called the method will create a new DSequence if the required state has been established to enable the creation of the DSequence.
  Overrides:
    `setUpSequence` in class `QTEffect`
  Returns:
    true if a new DSequence was created, otherwise false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD